Gecode::Search::TraceRecorder::ID Class Reference

Class for storing identifiers. More...

`#include <trace-recorder.hpp>`

## Public Member Functions

| ID (void)
| Do not initialize.
| ID (unsigned int id)
| Initialize.
| operator unsigned int (void) const
| Access.

## Protected Attributes

unsigned int | _id
| The actual identifier.

## Detailed Description

Class for storing identifiers.

Definition at line 57 of file trace-recorder.hpp.

## Constructor & Destructor Documentation

## ID() [1/2]

Gecode::Search::TraceRecorder::ID::ID | ( | void |  | ) |

inline

Do not initialize.

Definition at line 163 of file trace-recorder.hpp.

## ID() [2/2]

Gecode::Search::TraceRecorder::ID::ID | ( | unsigned int | id | ) |

inline

Initialize.

Definition at line 166 of file trace-recorder.hpp.

## Member Function Documentation

## operator unsigned int()

Gecode::Search::TraceRecorder::ID::operator unsigned int | ( | void |  | ) | const

inline

Access.

Definition at line 169 of file trace-recorder.hpp.

## Member Data Documentation

## _id

unsigned int Gecode::Search::TraceRecorder::ID::_id

protected

The actual identifier.

Definition at line 60 of file trace-recorder.hpp.

The documentation for this class was generated from the following file:

- gecode/search/trace-recorder.hpp